<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
<style type="text/css">

.pixel{
	width:10px;
	height:10px;
	border-radius:10px;
	background-color:#FF0000;
	position:absolute;
	top:0px;
	left:0px;
}

.lienzo{
	width:800px;
	height:600px;
	margin:10px auto;

	outline:1px solid #00FF00;
}
.lienzo>div{
	position:absolute;
}


</style>
<script type="text/javascript">
<!--
this.g={};
g.x=0;
g.y=0;
g.tiempo=10;
g.contador=1000;
g.paso=1;

window.addEventListener("keydown",salta);
window.addEventListener("load",arranca);
function salta(){
	switch(event.keyCode){
		case 38:
			g.direccion="arriba";
			break;
		case 40:
			g.direccion="abajo";
			break;
		case 39:
			g.direccion="derecha";			
			break;
		case 37:
			g.direccion="izquierda";
			break;
	}
}

function arranca(){
	g.pixel=document.querySelector(".pixel");
	g.intervalo=setInterval(f1,g.tiempo);	
}

function f1(){
	
	switch(g.direccion){
		case "arriba":
			g.y-=g.paso;
			break;
		case "abajo":
			g.y+=g.paso;
			break;
		case "derecha":
			g.x+=g.paso;
			break;
		case "izquierda":
			g.x-=g.paso;
			break;
	}
	if(g.x<(790+g.paso) && g.y<(590+g.paso) && g.x>=0 && g.y>=0){
		g.pixel.style.left=g.x + "px";
		g.pixel.style.top=g.y + "px";
	}else{
		clearInterval(g.intervalo);
	}
	
	if((g.contador--)==0) {
		g.contador=10;
		g.paso+=1;
	}

}


//-->
</script>

</head>

<body>
<div class="lienzo">
<div>
<div class="pixel">
</div>
</div>
</div>
</body>
</html>
